IF OBJECT_ID ('INTEGRADOR_LINX_ECOMMERCE_PEDIDO_PAGAMENTO')IS NULL
BEGIN 
	CREATE TABLE INTEGRADOR_LINX_ECOMMERCE_PEDIDO_PAGAMENTO (
		CD_CTR			BIGINT IDENTITY (1,1),
		ID_MESSAGE		NCHAR(100)   COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		CODIGO_PRODUTO	INT NOT NULL,
		STATUS			NCHAR(100)   COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS NOT NULL,
		MENSAGEM_FALHA	VARCHAR(MAX) COLLATE SQL_LATIN1_GENERAL_CP1_CI_AS,
		DATA_CADASTRO	DATETIME CONSTRAINT DF_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_PAGAMENTO_DATA_CADASTRO DEFAULT GETDATE(),
		CONSTRAINT PK_INTEGRADOR_LINX_ECOMMERCE_PEDIDO_PAGAMENTO PRIMARY KEY (CD_CTR)
	) 
END 